## HTTPClient
Class UncompressInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              HTTPClient.UncompressInputStream

public class UncompressInputStream
extends FilterInputStream

This class decompresses an input stream containing data compressed with the unix "compress" utility (LZC, a LZW variant). This code is based heavily on the unlzw.c code in gzip-1.2.4 (written by Peter Jannesen) and the original compress code.

Field Summary
`(package private) byte[]` `one`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`UncompressInputStream(InputStream is)`

Method Summary
`int` `available()`
`static void` `main(String[] args)`
`int` `read()`
`int` `read(byte[] buf, int off, int len)`
`long` `skip(long num)`

Methods inherited from class java.io.FilterInputStream
`close, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### one

    byte[] one

Constructor Detail

### UncompressInputStream

    public UncompressInputStream(InputStream is)
                          throws IOException

Parameters:
  `is` - the input stream to decompress
Throws:
  `IOException` - if the header is malformed

Method Detail

### read

    public int read()
             throws IOException

  Throws:
    `IOException`

### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws IOException

  Throws:
    `IOException`

### skip

    public long skip(long num)
              throws IOException

  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`